doctype html

html
    - var title = "Course List"
    head
        title #{title}
        link(rel="stylesheet" type="text/css" href="bower_components/bootstrap/dist/css/bootstrap.min.css")
        link(rel="stylesheet" type="text/css" href="style.css")
        script(type='text/javascript', src='bower_components/jquery/dist/jquery.min.js')
        script(type='text/javascript', src='bower_components/bootstrap/dist/js/bootstrap.min.js')
        script(type='text/javascript').
          $(function() {
            // On click
            $("input[type=checkbox].exercises").click(handleCheckbox);

            // Initial
            $("input[type=checkbox].exercises").each(handleCheckbox);

            function handleCheckbox() {
              var checked = $(this).prop('checked');
              var suffix = 'exercises=false';
              if (!checked) { // not checked means no exercises!
                $(this).prevAll('a.btn-default').each(function(index, element) {
                  var url=$(element).prop('href');
                  var param = suffix;
                  if(url.indexOf('?') > 0) { // when other parameters are set, use '&'
                    param = '&' + suffix;
                  } else { // when no parameters are set, use '?'
                    param = '?' + suffix;
                  }
                  $(element).prop('href', url + param);
                });
              } else {
                $(this).prevAll('a.btn-default').each(function(index, element) {
                  var url=$(element).prop('href');
                  if (url.indexOf(suffix) > 0) { // when exercises were set, remove them
                    $(element).prop('href', url.substring(0, url.indexOf(suffix)-1));
                  }
                });
              }
            }
          });
    body
        nav.navbar.navbar-inverse.navbar-static-top
            .container-fluid
                .navbar-fluid
                    .navbar-header
                        a.navbar-brand(href='http://www.realdolmen.com')
                            img(src='realdolmen-logo.png')
                .collapse.navbar-collapse
                    ul.nav.navbar-nav.navbar-right
                        li
                            a(href='java-software-instructions.txt') How to create a portable environment
                        li
                            a(href='https://mysites.realdolmen.com/personal/kvrrq70/Documents/Overzicht%20cursussen.xlsx?Web=1') Course overview
                        li
                            a(href='../legacy') Legacy
        .container

            h1 #{title}
            div.alert.alert-warning
                strong Warning!
                |  Not concurrent
            .row
                .col-md-12
                    table.table
                        tr
                            th Code
                            th Title
                            th Dependencies
                            th Presentation
                            th Handouts
                            th Update Needed
                            th To Outsource
                            th Deprecated
                            th ERU-compatible

                        each course in courses
                            tr(class="#{course.disabled ? 'danger' : 'success'}")
                                td
                                    a(href="https://education.realdolmen.com/en/Course/#{course.code}") #{course.code}
                                td
                                    strong #{course.title}
                                    | &nbsp;
                                    span.label.label-info #{course.modules.length} modules
                                td
                                    a(href="https://education.realdolmen.com/en/Course/#{course.dependencies}") #{course.dependencies}
                                td
                                    a.btn.btn-xs(class="#{course.disabled ? 'btn-danger' : 'btn-success'}", href="course.html?mode=presentation&course=#{course.code}")
                                        | Presentation
                                td
                                    a.btn.btn-xs.btn-default(href="course.html?mode=handouts&course=#{course.code}")
                                        | HTML
                                    | &nbsp;
                                    a.btn.btn-xs.btn-default(href="#{course.code}.pdf")
                                        | PDF
                                    | &nbsp;
                                    input.exercises(type='checkbox')
                                    | &nbsp; Exercises&nbsp;
                                    a.btn.btn-xs.btn-default(data-toggle='modal', data-target='#moreDialog-#{course.code}') More...
                                    .modal(id='moreDialog-#{course.code}')
                                        .modal-dialog
                                            .modal-content
                                                .modal-header
                                                    h2.modal-title #{course.title}
                                                .modal-body
                                                    h3 Export Table of Contents to&nbsp;
                                                        a(href='https://education.realdolmen.com/admin' target='_blank') Education Admin Website
                                                    .row
                                                        .col-sm-offset-1.col-sm-10
                                                            a(href='#{course.code}/interop/admin-tool/table-of-contents.json').btn.btn-primary Export
                                                            a.btn.btn-default(href='images/admin-tool-toc-upload.png' target='_blank') How to import
                                                    h3

                                                        a(href='https://portal.realdolmen.com/communities/Education/cursushandleidingen/Cursushandleidingen/#{course.title}' target='_blank') Sharepoint document set
                                                .modal-footer
                                                    button.btn.btn-primary(data-dismiss='modal') Close

                                td #{course.requiresUpdate}
                                td #{course.toBeOutsourced}
                                td #{course.deprecated}
                                td #{course.eruCompatible}

